> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of contract links > Operation is used to get a list of Contract Lists. Available from product version 3.2.24. Contract Links data can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /contract-links/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/contract-links/": { "get": { "tags": [ "Contract Link" ], "summary": "Get list of contract links", "description": "Operation is used to get a list of Contract Lists. Available from product version 3.2.24.\n\nContract Links data can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getContractLinkList", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/srsParam" }, { "$ref": "#/components/parameters/precisionParam" }, { "$ref": "#/components/parameters/dimsParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of Contract Links. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of Contract Links. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/ContractLink" }, "description": "List of fetched Contract Links" }, "Total": { "type": "integer", "description": "Total number of Contract Links" } } }, "example": { "Next": "https://keycom.example.com/api/v2/contract-links/?limit=10&offset=10", "Previous": null, "Results": [ { "amount": null, "cable": null, "circuit": null, "componentIdentifier": "Mastotesti", "conduit": null, "contract": { "agreement": "666", "antenna": 12, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 12, "billingPeriod": 12, "billingReference": "1234", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vapaa", "num_value": 1.0, "num_value2": null, "num_value3": 4.0, "num_value4": 1.0, "txt": "Vapaa" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "demo", "createdTs": "2011-08-25T14:35:42", "id": 2410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "1a", "businessId": "12", "createdBy": "", "createdTs": null, "email": "1a", "id": 3210, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "12", "name": "Testi Customer", "number": "1337", "phone": "12", "smsProhibited": null, "telefax": "12", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.exxample./api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192430, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Omistaja", "number": "A-192430", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "listUrl": "https://keypro.example.com/api/v2/contracts/", "parentContract": "https://keypro.example.com/api/v2/contracts/430/", "rent": "12.00", "rentBeginDate": "2011-08-25", "rentEndDate": "2011-08-25", "rent_2": "12.00", "rent_3": "12.00", "reserveBeginDate": "2011-08-26", "reserveEndDate": "2011-08-25", "termOfNotice": 12, "updatedBy": "sami", "updatedTs": "2013-03-05T15:35:35" }, "duct": null, "id": 1290, "manhole": null, "pointValue": "", "premise": null, "price": "", "splice": null, "terminal": null }, { "amount": null, "cable": null, "circuit": null, "componentIdentifier": "", "conduit": null, "contract": { "agreement": "666", "antenna": 12, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 12, "billingPeriod": 12, "billingReference": "1234", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vapaa", "num_value": 1.0, "num_value2": null, "num_value3": 4.0, "num_value4": 1.0, "txt": "Vapaa" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "demo", "createdTs": "2011-08-25T14:35:42", "id": 2410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "1a", "businessId": "12", "createdBy": "", "createdTs": null, "email": "1a", "id": 3210, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "12", "name": "Testi Customer", "number": "1337", "phone": "12", "smsProhibited": null, "telefax": "12", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192430, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Omistaja", "number": "A-192430", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "listUrl": "https://keypro.example.com/api/v2/contracts/", "parentContract": "https://keypro.example.com/api/v2/contracts/430/", "rent": "12.00", "rentBeginDate": "2011-08-25", "rentEndDate": "2011-08-25", "rent_2": "12.00", "rent_3": "12.00", "reserveBeginDate": "2011-08-26", "reserveEndDate": "2011-08-25", "termOfNotice": 12, "updatedBy": "sami", "updatedTs": "2013-03-05T15:35:35" }, "duct": null, "id": 1470, "manhole": { "id": 84850, "manholeId": "0082", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_TYPE", "id": 5361, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Kaivo", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Kaivo" }, "url": "https://keypro.example.com/api/v2/manholes/84850/" }, "pointValue": "", "premise": null, "price": "", "splice": null, "terminal": null }, { "amount": null, "cable": null, "circuit": null, "componentIdentifier": "", "conduit": null, "contract": { "agreement": "666", "antenna": 12, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 12, "billingPeriod": 12, "billingReference": "1234", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vapaa", "num_value": 1.0, "num_value2": null, "num_value3": 4.0, "num_value4": 1.0, "txt": "Vapaa" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "demo", "createdTs": "2011-08-25T14:35:42", "id": 2410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/25821/", "https://keypro.example.com/api/v2/apartments/65864/" ], "buildingId": "12", "city": "JOENZ00", "cityAlt": "1234", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 528010, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (457001.3785999999963678 6703317.4406000003218651)", "municipality": "", "propertyId": "12", "province": "", "streetname": "TESTIKATU", "streetnameAlt": "TESTGATAN", "streetno": "16", "subdivision": "", "updatedBy": "KEYCOM_STAGE32", "updatedTs": "2021-06-16T11:23:48", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233990, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Liike- tai teollisuusrakennus", "num_value": null, "num_value2": null, "num_value3": 2.0, "num_value4": null, "txt": "Liike- tai teollisuusrakennus" }, "usagePurposeAlt": null, "zipcode": "80110" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 25821, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000025781", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "billingName": "1a", "businessId": "12", "createdBy": "", "createdTs": null, "email": "1a", "id": 3210, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "12", "name": "Testi Customer", "number": "1337", "phone": "12", "smsProhibited": null, "telefax": "12", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192430, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Testi Omistaja", "number": "A-192430", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "listUrl": "https://keypro.example.com/api/v2/contracts/", "parentContract": "https://keypro.example.com/api/v2/contracts/430/", "rent": "12.00", "rentBeginDate": "2011-08-25", "rentEndDate": "2011-08-25", "rent_2": "12.00", "rent_3": "12.00", "reserveBeginDate": "2011-08-26", "reserveEndDate": "2011-08-25", "termOfNotice": 12, "updatedBy": "sami", "updatedTs": "2013-03-05T15:35:35" }, "duct": null, "id": 1490, "manhole": null, "pointValue": "", "premise": null, "price": "", "splice": null, "terminal": { "comment": "", "connectorCount": 24, "createdBy": "KEYCOM_STAGE", "createdTs": "2011-08-29T11:18:54", "id": 192090, "identification": "A-testi 2", "interface": "", "listUrl": "https://keypro.example.com/api/v2/devices/", "managementAddress": "", "managementAddress2": "", "orderNo": null, "owner": null, "parent": "https://keypro.example.com/api/v2/devices/173650/", "premise": "https://keypro.example.com/api/v2/premises/173290/", "renter": null, "startPin": 1, "type": "https://keypro.example.com/api/v2/types/36410/", "updatedBy": "KEYCOM_STAGE", "updatedTs": "2011-09-06T10:48:39", "usageState": null } }, { "amount": null, "cable": null, "circuit": null, "componentIdentifier": "", "conduit": null, "contract": { "agreement": "1234567890A", "antenna": null, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14290, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Arviolaskutus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Arviolaskutus" }, "billingDay": 15, "billingPeriod": 4, "billingReference": "1234567890", "cableUsage": "", "comment": "", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vuokrattu", "num_value": 2.0, "num_value2": null, "num_value3": 2.0, "num_value4": 1.0, "txt": "Vuokrattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14270, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Alivuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Alivuokrasopimus" }, "createdBy": "petri", "createdTs": "2011-02-17T15:21:48", "id": 410, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/14536/" ], "buildingId": "", "city": "LOVISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 173470, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "INGENJÖRSVÄGEN", "streetnameAlt": "", "streetno": "2", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:23", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 14536, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000014536", "originalStreetno": "2", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "janne.testicase@keypro.fi", "id": 35866041, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "0ra Janne", "number": "35866041", "phone": "019 533353", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/3281/" ], "buildingId": "", "city": "", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 1, "id": 390, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "", "streetnameAlt": "", "streetno": "", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:20", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 3281, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000003281", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "KEYCOM_STAGE30", "createdTs": "2018-04-10T13:30:34", "email": "", "id": 192470, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Corenet Oy", "number": "A-192470", "phone": "", "smsProhibited": null, "telefax": "", "type": null, "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-04-10T13:30:34" }, "listUrl": "https://keypro.example.com/api/v2/contracts/", "parentContract": "https://keypro.example.com/api/v2/contracts/11630/", "rent": "1000.00", "rentBeginDate": "2012-12-19", "rentEndDate": "2012-12-28", "rent_2": "2000.00", "rent_3": "10000.00", "reserveBeginDate": "2012-12-29", "reserveEndDate": "2012-12-30", "termOfNotice": 30, "updatedBy": "admin", "updatedTs": "2014-03-24T09:51:46" }, "duct": null, "id": 4110, "manhole": null, "pointValue": "", "premise": null, "price": "", "splice": { "id": 8950, "spliceNumber": "DIAGRAM_TEST", "type": { "availability_end_ts": "2020-08-17T02:24:35", "availability_start_ts": "2020-07-17T12:24:55", "available": false, "groupname": "SPLICE_TYPE", "id": 1201, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/SPLICE_TYPE/", "logical_txt": "Suora", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Suora" }, "url": "https://keypro.example.com/api/v2/splices/8950/" }, "terminal": null }, { "amount": null, "cable": null, "circuit": null, "componentIdentifier": "diipa saapaa", "conduit": null, "contract": { "agreement": "TEST_CASE", "antenna": 2, "billing": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "ELECTRIC_BIL_TYPE", "id": 14310, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/ELECTRIC_BIL_TYPE/", "logical_txt": "Oma mittari", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Oma mittari" }, "billingDay": 15, "billingPeriod": 2, "billingReference": "765432", "cableUsage": "Diipa daapaa", "comment": "aölskjföalkjf", "contractStatus": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "RENT_STATUS", "id": 1350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/RENT_STATUS/", "logical_txt": "Vuokrattu", "num_value": 2.0, "num_value2": null, "num_value3": 2.0, "num_value4": 1.0, "txt": "Vuokrattu" }, "contractType": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "CONTRACT_TYPE", "id": 14250, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/CONTRACT_TYPE/", "logical_txt": "Vuokrasopimus", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Vuokrasopimus" }, "createdBy": "lasse", "createdTs": "2012-10-10T15:19:08", "id": 4810, "lessee": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/14536/" ], "buildingId": "", "city": "LOVISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 173470, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "INGENJÖRSVÄGEN", "streetnameAlt": "", "streetno": "2", "subdivision": "", "updatedBy": "KEYCOM_STAGE30", "updatedTs": "2018-01-11T18:00:23", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": null, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 14536, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000014536", "originalStreetno": "2", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "janne.testicase@keypro.fi", "id": 35866041, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "0ra Janne", "number": "35866041", "phone": "019 533353", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "lessor": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/5198/" ], "buildingId": "", "city": "LOVIISA", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 3350, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": null, "municipality": "", "propertyId": "", "province": "", "streetname": "MANNERHEIMINKATU", "streetnameAlt": "", "streetno": "4", "subdivision": "", "updatedBy": "gdpr_disabled_user", "updatedTs": "2020-08-14T14:53:40", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_ADDR_SPEC", "id": 266390, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_ADDR_SPEC/", "logical_txt": "Korjattu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": 1.0, "txt": "Korjattu" }, "zipcode": "07900" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 5198, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000005198", "originalStreetno": "4", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": 35900641, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Lpo", "number": "35900641", "phone": "019 555441", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "listUrl": "https://keypro.example.com/api/v2/contracts/", "parentContract": null, "rent": "123.00", "rentBeginDate": "2012-10-11", "rentEndDate": "2012-10-26", "rent_2": "432.00", "rent_3": "1357.00", "reserveBeginDate": "2012-10-18", "reserveEndDate": "2012-10-30", "termOfNotice": 66, "updatedBy": "lasse", "updatedTs": "2012-10-10T16:03:08" }, "duct": null, "id": 4250, "manhole": null, "pointValue": "", "premise": null, "price": "", "splice": null, "terminal": null }, { "amount": null, "cable": null, "circuit": { "areaCode": "", "contractLength": null, "contractNumber": "123456", "createdBy": "lasse", "createdTs": "2012-10-02", "customer": { "address": { "address": { "apartments": [ "https://keypro.example.com/api/v2/apartments/26401/", "https://keypro.example.com/api/v2/apartments/27197/", "https://keypro.example.com/api/v2/apartments/27199/", "https://keypro.example.com/api/v2/apartments/27200/", "https://keypro.example.com/api/v2/apartments/27202/" ], "buildingId": "", "city": "JOENSUU", "cityAlt": "", "country": "", "createdBy": "", "createdTs": null, "district": "", "empty": 0, "id": 535610, "listUrl": "https://keypro.example.com/api/v2/addresses/", "location": "SRID=3067;POINT (642268.4575000000186265 6945418.7805000003427267)", "municipality": "", "propertyId": "", "province": "", "streetname": "TEOLLISUUSKATU", "streetnameAlt": "", "streetno": "13", "subdivision": "", "updatedBy": "jarkko.laitinen@keypro.fi", "updatedTs": "2020-03-25T14:28:57", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "BUILDING_USAGE", "id": 233970, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/BUILDING_USAGE/", "logical_txt": "Asuinrakennus", "num_value": null, "num_value2": null, "num_value3": 1.0, "num_value4": null, "txt": "Asuinrakennus" }, "usagePurposeAlt": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_ADDR_SPEC", "id": 266390, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_ADDR_SPEC/", "logical_txt": "Korjattu", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": 1.0, "txt": "Korjattu" }, "zipcode": "80100" }, "apartmentDivision": "", "apartmentLetter": "", "apartmentNumber": "", "empty": 1, "id": 26401, "listUrl": "https://keypro.example.com/api/v2/apartments/", "originProperty": "//0000000026361", "originalStreetno": "", "usagePurpose": null, "usagePurposeAlt": null, "usageState": null }, "addressAlt": null, "billingName": "", "businessId": "", "createdBy": "", "createdTs": null, "email": "", "id": 35833561, "listUrl": "https://keypro.example.com/api/v2/customers/", "mobilePhone": "", "name": "Aalto Alf", "number": "35833561", "phone": "0001 206206", "smsProhibited": null, "telefax": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CUST_TYPE", "id": 6010, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CUST_TYPE/", "logical_txt": "Yksityishenkilö", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Yksityishenkilö" }, "updatedBy": "", "updatedTs": null }, "directLength": null, "id": 51710, "identifier": "TEST_CASE", "identifierAlt": "54321", "importance": null, "installationAddresses": [ "https://keypro.example.com/api/v2/circuitlocations/40917850/" ], "length": null, "listUrl": "https://keypro.example.com/api/v2/circuits/", "orderNumber": "85675", "organisation": null, "redundancy": null, "sections": [ { "constructionState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_CONST_STATE", "id": 6050, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Valmis", "num_value": 1.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Valmis" }, "id": 55801, "listUrl": "https://keypro.example.com/api/v2/sections/", "name": "1", "usagePurpose": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "USAGE", "id": 236930, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/USAGE/", "logical_txt": "LAAJAK 8/1", "num_value": 99.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "LAAJAK 8/1" }, "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "KN_USAGE_STATE", "id": 6350, "list_url": "https://keypro.example.com/api/v2/txt_constants/groupname/KN_USAGE_STATE/", "logical_txt": "Pian käytössä", "num_value": 4.0, "num_value2": 1.0, "num_value3": null, "num_value4": null, "txt": "Pian käytössä" } } ], "updatedBy": "jarkko", "updatedTs": "2013-01-31" }, "componentIdentifier": "adgsdhas 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "DiagramConfirm": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHDIAG_CONFIRMED" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "ElManholeOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole owner" }, "ElManholeRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole renter" }, "ManholeType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole type" }, "ManholeUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole usage state" }, "Pole": { "required": [ "pole_type", "usage_state" ], "type": "object", "properties": { "angle": { "$ref": "#/components/schemas/Angle" }, "branch_pole_number": { "type": "string", "description": "Branch Pole" }, "checkout_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "created_by": { "type": "string", "description": "Created by", "readOnly": true }, "created_ts": { "type": "string", "description": "Created timestamp", "format": "date-time", "readOnly": true }, "decay_class": { "$ref": "#/components/schemas/PoleDecayClass" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "history_date": { "type": "string", "description": "Checkout Date", "format": "date" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "impregnant": { "$ref": "#/components/schemas/PoleImpregnant" }, "install_year": { "type": "integer", "description": "Install year" }, "length": { "type": "number", "description": "Pole length", "format": "float" }, "line_part": { "type": "string", "description": "Line Part" }, "location": { "type": "string", "description": "Location of pole in EWKT", "format": "ewkt" }, "location_accuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "Mapper" }, "mapping_method": { "$ref": "#/components/schemas/MappingMethod" }, "material": { "$ref": "#/components/schemas/PoleMaterial" }, "owner": { "$ref": "#/components/schemas/PoleOwner" }, "plan": { "$ref": "#/components/schemas/Plan" }, "pole_number": { "type": "string", "description": "Pole number" }, "pole_type": { "$ref": "#/components/schemas/PoleType" }, "remarks": { "type": "string", "description": "Remarks. Available from product version 3.2.14." }, "renter": { "$ref": "#/components/schemas/PoleRenter" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "stanchion": { "$ref": "#/components/schemas/PoleStanchion" }, "stanchion_decay_class": { "$ref": "#/components/schemas/PoleStanchionDecayClass" }, "survey_amount": { "type": "string", "description": "Survey amount" }, "telecom_area": { "type": "string", "description": "Telecom area the pole is inside", "format": "url" }, "updated_by": { "type": "string", "description": "Last updated by", "readOnly": true }, "updated_ts": { "type": "string", "description": "Last updated timestamp", "format": "date-time", "readOnly": true }, "usage_state": { "$ref": "#/components/schemas/PoleUsageState" } } }, "PremRoom": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_PLACEMENT" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Device room" }, "PremImportance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_IMPORTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "PremOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises owner" }, "PremRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_OWNER" ], "description": "Group name of constant. Same as with Premises owner." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises renter" }, "PremType": { "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "listUrl": { "type": "string", "description": "Url to fetch all objects", "format": "url" }, "manufacturer": { "type": "string", "description": "Premises manufacturer" }, "productCode": { "type": "string", "description": "Product code" }, "type": { "$ref": "#/components/schemas/PremTypeType" } }, "description": "Premises type" }, "PremState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PREM_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Premises usage state" }, "SpliceOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SPLICE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Splice Owner" }, "SplicePlacement": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SPLICE_PLACEMENT" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Splice placement" }, "SpliceProductName": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SPLICE_PRODUCT_NAME" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Splice product name" }, "SpliceType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SPLICE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Splice type" }, "SpliceUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SPLICE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Splice usage state" }, "FlatDevice": { "required": [ "identification", "type", "premise" ], "type": "object", "properties": { "comments": { "type": "string", "description": "Remarks" }, "connectorCount": { "type": "integer", "description": "Connector count" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "identification": { "type": "string", "description": "Identification" }, "installYear": { "type": "integer", "description": "Installation year. Available from product version 2025.1.", "format": "yyyy" }, "interface": { "type": "string", "description": "Interface" }, "locationArea": { "type": "string", "description": "Location area. Available from product version 3.6." }, "locationRack": { "type": "string", "description": "Location rack. Available from product version 3.6." }, "locationRackRow": { "type": "string", "description": "Location rack row. Available from product version 3.6." }, "locationSide": { "type": "string", "description": "Location side. Available from product version 3.6." }, "locationSlot": { "type": "string", "description": "Location slot. Available from product version 3.6." }, "locationSubSlot": { "type": "string", "description": "Location sub slot. Available from product version 3.6." }, "locationSubrack": { "type": "string", "description": "Location sub rack. Available from product version 3.6." }, "managementAddress": { "type": "string", "description": "Management address" }, "managementAddress2": { "type": "string", "description": "Management address 2" }, "orderNo": { "type": "integer", "description": "Order number" }, "owner": { "type": "integer", "description": "Device owner" }, "parent": { "type": "integer", "description": "Parent terminal id" }, "premise": { "type": "integer", "description": "Telecom premises" }, "renter": { "type": "integer", "description": "Device renter" }, "sourceSystem": { "type": "integer", "description": "Source system id. Available from product version 3.4." }, "sourceSystemKey": { "type": "integer", "description": "source system key. Available from product version 3.4." }, "startPin": { "type": "integer", "description": "Start connector" }, "type": { "type": "integer", "description": "Terminal type" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "type": "integer", "description": "Terminal state" } } }, "TerminalOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DEVICE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal owner" }, "TerminalRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DEVICE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal renter" }, "TerminalState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "TERMINAL_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Terminal usage purpose" }, "CableTypeColorCoding": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_COLORCODING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Color coding" }, "CableTypeColorConfig": { "type": "object", "properties": { "codingType": { "type": "string", "description": "Color config coding type" }, "description": { "type": "string", "description": "Description" }, "id": { "type": "integer", "description": "Color config ID" }, "maxNumberOfThreads": { "type": "integer", "description": "Maximum number of threads" }, "name": { "type": "string", "description": "Name" } } }, "CableTypeColorConfigColor": { "type": "object", "properties": { "color": { "type": "string", "description": "Color value in hex format.", "example": "#ff0000" }, "id": { "type": "integer", "description": "Color id. Not present if using legacy color coding scheme" }, "name": { "type": "string", "description": "Color display name", "example": "Red" } }, "description": "Color entry for cable type color coding" }, "CableTypeTechnology": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TECHNOLOGY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable type technology" }, "MinifiedManhole": { "type": "object", "properties": { "id": { "type": "integer", "description": "Manhole primary key" }, "manholeId": { "type": "string", "description": "Name of manhole" }, "type": { "$ref": "#/components/schemas/ManholeType" } }, "description": "Minified information of a telecom manhole object" }, "MinifiedPremises": { "type": "object", "properties": { "id": { "type": "integer", "description": "Premises primary key" }, "name": { "type": "string", "description": "Name of premises" }, "prem_id": { "type": "string", "description": "Premises identification" }, "type": { "$ref": "#/components/schemas/PremType" }, "url": { "type": "string", "description": "Url to full information of premises object", "format": "url" } }, "description": "Minified information of a telecom premises object" }, "MinifiedSplice": { "type": "object", "properties": { "id": { "type": "integer", "description": "Splice primary key" }, "spliceNumber": { "type": "string", "description": "Splice number" }, "type": { "$ref": "#/components/schemas/SpliceType" } }, "description": "Minified information of a telecom splice object" }, "Apartment": { "required": [ "address" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "apartmentDivision": { "type": "string", "description": "apartment division" }, "apartmentLetter": { "type": "string", "description": "apartment letter" }, "apartmentNumber": { "type": "string", "description": "apartment number" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Apartment with this value as 1 is default apartment. Modifying or deleting such apartment is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "originProperty": { "type": "string", "description": "apartment original property id" }, "originalStreetno": { "type": "string", "description": "apartment original streen number" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "usagePurpose": { "$ref": "#/components/schemas/ApartmentUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "usageState": { "$ref": "#/components/schemas/ApartmentStatus" } } }, "CustomerType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CUST_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Customer type" }, "Bitrate": { "type": "object", "properties": { "description": { "type": "string", "description": "Bitrate description", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "rate": { "type": "integer", "description": "Bitrate value", "readOnly": true } } }, "ConstructionState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONST_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Txt constants construction state" }, "CircuitSectionExtraUsage": { "type": "object", "properties": { "customerUrl": { "type": "string", "description": "Hyperlink to the related customer", "format": "uri" }, "extraUsage": { "$ref": "#/components/schemas/ExtraUsage" }, "information": { "type": "string", "description": "Free text information" }, "name1": { "type": "string", "description": "Optional name field 1", "example": "John Doe" }, "name2": { "type": "string", "description": "Optional name field 2", "example": "Jane Doe" }, "name3": { "type": "string", "description": "Optional name field 3", "example": "Jane Doe" }, "name4": { "type": "string", "description": "Optional name field 4", "example": "Jane Doe" }, "pk": { "type": "integer", "description": "Primary key", "example": 1 } } }, "CircuitUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage" }, "CircuitUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_USAGE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Circuit usage state" }, "TxtConstant": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "type": "string", "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } } }, "DHCPDN": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_DN" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Duct Diameter" }, "PlanConstruction": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_CONSTRUCTION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Construction" }, "PlanExcavation": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_EXCAVATION" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Excavation" }, "DHCPLimiter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DH_CP_LIMITER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "District Heating Consumer Point Limiter" }, "PlanPiping": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_PIPING" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Piping" }, "DistrictArea": { "type": "object", "properties": { "location": { "type": "string", "description": "Geographical location as EWKT representation", "format": "ewkt" }, "name": { "type": "string", "description": "Name of District Area" } }, "description": "District Area" }, "PlanNetworkType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Plan Network Type" }, "PlanNetworkOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "PLAN_NETWORK_OWNER" ], "d
[...]
